context = window

@SessionResyncBtn = React.createClass({

  mixins: [Reflux.listenTo(@AppStore,"onAppInit")]

  resync: (e) ->
    e.preventDefault()

    SessionActions.audioResync()

  render: () ->
    `<a className="session-resync button-grey resync left" onClick={this.resync}>
      <img src="/assets/content/icon_resync.png" align="texttop" height="14" width="14"/>
      RESYNC
    </a>`

  onAppInit: (app) ->
    @app = app
})